CMYK< Type >(3)

NAME
CMYK< Type >

SYNOPSIS

#include <Color.h>

  Public Member Functions
CMYK ()
CMYK (const CMYK &col)
CMYK (const double d[4])
CMYK (const double cc, const double mm, const double yy, const double kk)
CMYK operator= (const CMYK &col)
CMYK (RGB< Type > &rgb)
Type & operator[] (const unsigned int i)
Type c ()
Type m ()
Type y ()
Type k ()

Detailed Description

  template<typename Type>
class CMYK< Type >"

Definition at line 12 of file Color.h.

Constructor & Destructor Documentation

  template<typename Type> CMYK< Type >::CMYK () [inline]

Definition at line 268 of file Color.h.

  template<typename Type> CMYK< Type >::CMYK (const CMYK< Type > & col) [inline]

Definition at line 269 of file Color.h.

  template<typename Type> CMYK< Type >::CMYK (const double d[4]) [inline]

Definition at line 270 of file Color.h.

  template<typename Type> CMYK< Type >::CMYK (const double cc, const double mm, const double yy, const double kk) [inline]

Definition at line 271 of file Color.h.

  template<typename Type> CMYK< Type >::CMYK (RGB< Type > & rgb) [inline]

Definition at line 277 of file Color.h.

Member Function Documentation

  template<typename Type> Type CMYK< Type >::c () [inline]

Definition at line 300 of file Color.h.

  template<typename Type> Type CMYK< Type >::k () [inline]

Definition at line 303 of file Color.h.

  template<typename Type> Type CMYK< Type >::m () [inline]

Definition at line 301 of file Color.h.

  template<typename Type> CMYK CMYK< Type >::operator= (const CMYK< Type > & col) [inline]

Definition at line 273 of file Color.h.

  template<typename Type> Type& CMYK< Type >::operator[] (const unsigned int i) [inline]

Definition at line 296 of file Color.h.

  template<typename Type> Type CMYK< Type >::y () [inline]

Definition at line 302 of file Color.h.

Author

Generated automatically by Doxygen for Bsoft from the source code.